package models;

/**
 * The Ising model is an integrable model with constant scattering function S=-1.
 * 
 * Its minimal solution \(F_\text{min}\) is given by \(F_\text{min}(\zeta) = -i \sinh(\zeta/2) \),
 * which means \(F_\text{min}(\theta+ i \pi) = \cosh(\zeta/2) \).  
 */
public class IsingModel extends IntegrableModel
{

	@Override
    public double FminIpi(double theta) {
        return Math.cosh(theta/2.0);
    }
    
}
