/**
 * Definition of the properties of various integrable models, in particular numeric evaluation of the
 * function \(F_\mathrm{min}\).
 * 
 * Integrable models are defined as subclasses of an abstract base class, {@link models.IntegrableModel}. 
 * Their only property of interest to us in the present context is the function \(\theta \mapsto F_\mathrm{min}(\theta+i\pi)\).
 * In some cases, such as the Ising model, this expression can be computed directly from elementary functions,
 * whereas for the sinh-Gordon and related models, this involves numerical approximation of an integral.
 */
package models;
